| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DNGWriter Class Reference

## Public Types
enum | ConvertError { PROCESS_CONTINUE = 1 , PROCESS_COMPLETE = 0 , PROCESS_FAILED = -1 , PROCESS_CANCELED = -2 , FILE_NOT_SUPPORTED = -3 , DNG_SDK_INTERNAL_ERROR = -4 }
enum | JPEGPreview { NONE = 0 , MEDIUM , FULL_SIZE }

## Public Member Functions
bool | backupOriginalRawFile () const
void | cancel ()
bool | compressLossLess () const
int | convert ()
QString | inputFile () const
QString | outputFile () const
int | previewMode () const
void | reset ()
void | setBackupOriginalRawFile (bool b)
void | setCompressLossLess (bool b)
void | setInputFile (const QString &filePath)
void | setOutputFile (const QString &filePath)
void | setPreviewMode (int mode)
void | setUpdateFileDate (bool b)
bool | updateFileDate () const

## Static Public Member Functions
static QString | dngSdkVersion ()
static QString | xmpSdkVersion ()

## Member Enumeration Documentation

## ◆ ConvertError

enum Digikam::DNGWriter::ConvertError

Enumerator
PROCESS_CONTINUE | Current stages is done.
PROCESS_COMPLETE | All stages done.
PROCESS_FAILED | A failure happen while processing.
PROCESS_CANCELED | User has canceled processing.
FILE_NOT_SUPPORTED | Raw file format is not supported by converter.
DNG_SDK_INTERNAL_ERROR | Adobe DNG SDK has generated an error while processing.

## ◆ JPEGPreview

enum Digikam::DNGWriter::JPEGPreview

Enumerator
NONE | No preview will be generated.
MEDIUM | A medium size preview will be generated.
FULL_SIZE | A full size preview will be generated.